summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--www-client/chromium/Manifest4
-rw-r--r--www-client/chromium/chromium-92.0.4491.6.ebuild (renamed from www-client/chromium/chromium-92.0.4484.7.ebuild)10
2 files changed, 7 insertions, 7 deletions
diff --git a/www-client/chromium/Manifest b/www-client/chromium/Manifest
index e0962826f12..6071b340f61 100644
--- a/www-client/chromium/Manifest
+++ b/www-client/chromium/Manifest
@@ -2,6 +2,6 @@ DIST chromium-90-patchset-7.tar.xz 3892 BLAKE2B 3ba169baaaf74b548749be3f845f5052
DIST chromium-90.0.4430.93.tar.xz 917357836 BLAKE2B 5c2643d7d96775491243a4e5b1ba6793523edd3991f04167f51cfbdc5b035c753d80ef4b427785a05f6628b90f4a483e88ddc219358e118e4f3a5020dbf82d77 SHA512 c409df621ec849bcfd5c9f6dbeeddde86e75e54be8f8d51a73daf69a216f4c26b083d32e5f5b9f0c7baf833c495322fb2543d1565cddd6f0b8f914db14a13d4e
DIST chromium-91-patchset-5.tar.xz 3648 BLAKE2B 6c8636f63dc857886d09c8ed69b4c61adc627d2280decdf03b548be8ff2cb522ef0def7a240d1c3c9ee71920304a43af571e2146e2828b89c3b6f87373b8c4a1 SHA512 1554feec958291ad3140e2685683befe4b6e0b0ab6a8694c0e02d5b4bf4b7fcad410f17e72099653456fd95ed24a732dd28f2dcfaf146eb3bf68052e2342a481
DIST chromium-91.0.4472.27.tar.xz 949628408 BLAKE2B b2909d355d3c8f67e4f5b1b1865582f7abf30650e89caccfe56e025cda1a4e890057dcbf4ecd106771adf0c41a6ad7fff7b7dfab49040207e09a8fc7950c7b3e SHA512 2145b7aad1065688b51ba237050d7031def41a43fd17e63ed89ef8708d0b13b93badc1a78e0d1ccc581cd7cd9d160fb5785e1f30c251b80679b8e9977992e3c4
-DIST chromium-92-patchset-1.tar.xz 4228 BLAKE2B 682ae84817d0922afceb65d3e0c1f272156c0c0cd67cbc82939ec31edd404d71c063656144027cc6d7c2184be4acd0877464193f71e55dbed395d7240bbd00c3 SHA512 e1863b08f2a8030a03e14877dba4aba67d78411c3878bf943b136346ef8d2bcbb989ff38235bea4880d4ae790676da9dd1fb3ae30dcc4e957338c4f94b99aeb3
-DIST chromium-92.0.4484.7.tar.xz 949838680 BLAKE2B 1dca271f1992dd2e5d15b8652169d5e39d49a023996afc047fdf36e7cea3bb740dc0e3afc24ca0eb4e2ebc687f08955a9ace9b0142f0a8a765d606e1a36f8ec5 SHA512 6052912c934b71edddb9605d2636d073807254dcdd829c6fd902322f41a3a575bb89e493cbcd540ca605433cea6ff08dd51e7429e71fb12877cfd591c1b89422
+DIST chromium-92-patchset-2.tar.xz 2776 BLAKE2B d5504f4bd6bc771b93a89d6ac492bd1b7f64e227040bbba66dff847357d26a0fa4331cd3784b018b4e7a9be5713dc109d99ba88ed2ec8b9310c304e4ea08a681 SHA512 8e4808f7698295b9c76d6ff150291b1756e5de1971a639e1c4e8dcabdb1e40d46b9ddeaddafb53955c2aedfc7dfc01ee09d27f6c04df613e82518b6ddc70992c
+DIST chromium-92.0.4491.6.tar.xz 951877088 BLAKE2B 8ba7f4334b3f63e06ac28cfe73f74bb27ce0392a99e2c4ece580481515473a21a7e7b4f12216993b80630c7584d8df678e381a1b1d0dd8ba789eb343817454b4 SHA512 803d8e760d25f437d7c8183e3f22721c7531d2eb6e2ff24a7df9cf541011b4b8f67edda1835ac484c5d5210d16be72e2ec337dba7df705543318ad795bad8405
DIST setuptools-44.1.0.zip 858569 BLAKE2B f59f154e121502a731e51294ccd293d60ffccadacf51e23b53bf7ceba38858948b86783238061136c827ac3373ea7ea8e6253d4bb53f3f1dd69284568ec65a68 SHA512 4dfb0f42d334b835758e865a26ecd1e725711fa2b9c38ddc273b8b3849fba04527bc97436d11ba1e98f1a42922aa0f0b9032e32998273c705fac6e10735eacbf
diff --git a/www-client/chromium/chromium-92.0.4484.7.ebuild b/www-client/chromium/chromium-92.0.4491.6.ebuild
index a07a88d8227..9c3789c64a1 100644
--- a/www-client/chromium/chromium-92.0.4484.7.ebuild
+++ b/www-client/chromium/chromium-92.0.4491.6.ebuild
@@ -13,7 +13,7 @@ inherit check-reqs chromium-2 desktop flag-o-matic multilib ninja-utils pax-util
DESCRIPTION="Open-source version of Google Chrome web browser"
HOMEPAGE="https://chromium.org/"
-PATCHSET="1"
+PATCHSET="2"
PATCHSET_NAME="chromium-$(ver_cut 1)-patchset-${PATCHSET}"
SRC_URI="https://commondatastorage.googleapis.com/chromium-browser-official/${P}.tar.xz
https://files.pythonhosted.org/packages/ed/7b/bbf89ca71e722b7f9464ebffe4b5ee20a9e5c9a555a56e2d3914bb9119a6/setuptools-44.1.0.zip
@@ -74,6 +74,7 @@ COMMON_DEPEND="
virtual/udev
x11-libs/cairo:=
x11-libs/gdk-pixbuf:2
+ x11-libs/libxkbcommon:=
x11-libs/pango:=
media-libs/flac:=
>=media-libs/libwebp-0.4.0:=
@@ -87,11 +88,9 @@ COMMON_DEPEND="
x11-libs/gtk+:3[X]
wayland? (
dev-libs/wayland:=
- dev-libs/libffi:=
screencast? ( media-video/pipewire:0/0.3 )
x11-libs/gtk+:3[wayland,X]
x11-libs/libdrm:=
- x11-libs/libxkbcommon:=
)
)
"
@@ -251,8 +250,6 @@ src_prepare() {
# adjust python interpreter versions
sed -i -e "s|\(^script_executable = \).*|\1\"${EPYTHON}\"|g" .gn || die
sed -i -e "s|python2|python2\.7|g" buildtools/linux64/clang-format || die
- sed -i -e "s|python|python2\.7|g" \
- third_party/dom_distiller_js/protoc_plugins/json_values_converter.py || die
local keeplibs=(
base/third_party/cityhash
@@ -267,6 +264,7 @@ src_prepare() {
base/third_party/xdg_user_dirs
buildtools/third_party/libc++
buildtools/third_party/libc++abi
+ buildtools/third_party/eu-strip
chrome/third_party/mozilla_security_manager
courgette/third_party
net/third_party/mozilla_security_manager
@@ -810,6 +808,8 @@ src_compile() {
pax-mark m out/Release/chrome
+ mv out/Release/chromedriver{.unstripped,} || die
+
# Build manpage; bug #684550
sed -e 's|@@PACKAGE@@|chromium-browser|g;
s|@@MENUNAME@@|Chromium|g;' \